> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywire.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the webhook secret

> The secret webhooks are signed with. Created on first use.

Use it to [verify webhook signatures](https://docs.paywire.xyz/guides/webhooks.md#verify-the-signature).


## OpenAPI

````yaml GET /notifications/merchants/me/webhook-secret
openapi: 3.1.0
info:
  title: Paywire API
  version: 1.0.0
  description: >-
    Accept crypto payments: create payment links, follow orders, receive signed
    webhooks.
servers:
  - url: https://api.staging.paywire.xyz
    description: Staging (testnets)
security:
  - apiKey: []
tags:
  - name: Payment links
  - name: Orders
  - name: Account
  - name: Webhooks
paths:
  /notifications/merchants/me/webhook-secret:
    get:
      tags:
        - Webhooks
      summary: Get the webhook secret
      description: The secret webhooks are signed with. Created on first use.
      operationId: getWebhookSecret
      responses:
        '200':
          description: The secret.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSecret'
              example:
                merchantId: 0193a0b1-2c3d-7e4f-8a9b-0c1d2e3f4a5b
                secret: whsec_3f9a...
                rotatedAt: '2026-10-20T08:00:00Z'
components:
  schemas:
    WebhookSecret:
      type: object
      properties:
        merchantId:
          type: string
          format: uuid
        secret:
          type: string
          description: Starts with whsec_.
        rotatedAt:
          type: string
          format: date-time
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Your gateway's API key (`w3g_...`).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.